Create Revenue Split
Access: organization users with revenue split permissions; admins see organization splits and end users see allowed splits.
Add a new Revenue Split
The header X-User-Id must be provided for this endpoint in order to create a Revenue Split on behalf of users.
Revenue Splits by Default are not locked (not active), until confirmed by both parties.
POST
https://enterprise.spacemedia.uk
/
api
/
v1
/
splits
Create Revenue Split
curl --request POST \
--url https://enterprise.spacemedia.uk/api/v1/splits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Midnight Signals Writer Share",
"beneficiary_id": "83c09c76-32a5-4b1a-92fa-30129f8e8e6b",
"percentage": 25,
"start_date": "2026-05-01",
"end_date": "2026-12-31",
"releases": [
10401
],
"tracks": [
20401
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Midnight Signals Writer Share',
beneficiary_id: '83c09c76-32a5-4b1a-92fa-30129f8e8e6b',
percentage: 25,
start_date: '2026-05-01',
end_date: '2026-12-31',
releases: [10401],
tracks: [20401]
})
};
fetch('https://enterprise.spacemedia.uk/api/v1/splits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://enterprise.spacemedia.uk/api/v1/splits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Midnight Signals Writer Share',
'beneficiary_id' => '83c09c76-32a5-4b1a-92fa-30129f8e8e6b',
'percentage' => 25,
'start_date' => '2026-05-01',
'end_date' => '2026-12-31',
'releases' => [
10401
],
'tracks' => [
20401
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://enterprise.spacemedia.uk/api/v1/splits"
payload = {
"title": "Midnight Signals Writer Share",
"beneficiary_id": "83c09c76-32a5-4b1a-92fa-30129f8e8e6b",
"percentage": 25,
"start_date": "2026-05-01",
"end_date": "2026-12-31",
"releases": [10401],
"tracks": [20401]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "a99f63b8-7df7-4091-a0e0-f9327ff7c8d1",
"title": "Midnight Signals Writer Share",
"percentage": 25,
"start_date": "2026-05-01T00:00:00+00:00",
"end_date": "2026-12-31T00:00:00+00:00",
"locked": false,
"beneficiary": {
"id": "83c09c76-32a5-4b1a-92fa-30129f8e8e6b",
"uuid": "83c09c76-32a5-4b1a-92fa-30129f8e8e6b",
"organization_id": "2a8d3e82-4a9d-4e33-9d3b-85bb1a93e8d4",
"organization_uuid": "2a8d3e82-4a9d-4e33-9d3b-85bb1a93e8d4",
"name": "Eli Brooks",
"full_name": "Eli Brooks",
"first_name": "Eli",
"last_name": "Brooks",
"email": "eli.brooks@example.test",
"phone": "+442071838750",
"language": "en",
"country": "United Kingdom",
"address": "22 Demo Lane, London",
"photo": null,
"profile_photo": null,
"verified": true,
"email_verified_at": "2026-04-10T08:15:00+00:00",
"last_login_at": "2026-04-18T08:45:00+00:00",
"created_at": "2026-03-20T09:00:00+00:00",
"updated_at": "2026-04-18T08:45:00+00:00",
"is_suspended": false,
"suspended_at": null,
"invitation_status": "accepted",
"is_invited": false,
"roles": [
{
"id": "role-admin-demo",
"uuid": "role-admin-demo",
"name": "Admin"
}
]
},
"creator": {
"id": "9d7046b2-3ab1-4c9d-9bd8-90bbd22b7df2",
"uuid": "9d7046b2-3ab1-4c9d-9bd8-90bbd22b7df2",
"organization_id": "2a8d3e82-4a9d-4e33-9d3b-85bb1a93e8d4",
"organization_uuid": "2a8d3e82-4a9d-4e33-9d3b-85bb1a93e8d4",
"name": "Maya Chen",
"full_name": "Maya Chen",
"first_name": "Maya",
"last_name": "Chen",
"email": "maya.chen@example.test",
"phone": "+442071838750",
"language": "en",
"country": "United Kingdom",
"address": "22 Demo Lane, London",
"photo": null,
"profile_photo": null,
"verified": true,
"email_verified_at": "2026-04-10T08:15:00+00:00",
"last_login_at": "2026-04-18T08:45:00+00:00",
"created_at": "2026-03-20T09:00:00+00:00",
"updated_at": "2026-04-18T08:45:00+00:00",
"is_suspended": false,
"suspended_at": null,
"invitation_status": "accepted",
"is_invited": false,
"roles": [
{
"id": "role-admin-demo",
"uuid": "role-admin-demo",
"name": "Admin"
}
]
}
}
}{
"success": false,
"message": "Missing bearer token"
}{
"success": false,
"message": "This action is unauthorized."
}{
"success": false,
"message": "Resource not found"
}{
"success": false,
"message": "Validation failed.",
"errors": {
"title": [
"The title field is required."
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Use application/json for API responses.
Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.
Optional user UUID to perform the request on behalf of a user in the same organization.
Body
application/json
The body is of type object.
Response
Success
The response is of type object.
Previous
Update Revenue SplitAccess: organization users with revenue split permissions; admins see organization splits and end users see allowed splits.
Update fields of an existing Revenue Split.
The header `X-User-Id` must be provided for this endpoint in order to update a Revenue Split on behalf of users.
Revenue Splits remain unlocked (inactive) until confirmed by both parties.
Next
⌘I
Create Revenue Split
